Subject: RE: [EXTERNAL] Intdir early review of draft-ietf-rtgwg-atn-bgp-12

From: "Templin (US), Fred L" <[email-masked]>
Date: Tue, 1 Feb 2022 22:23:18 +0000

Dave, thank you for your comments and see below for follow-up:

Fred

> -----Original Message-----
> From: rtgwg [mailto:[email-masked]] On Behalf Of Dave Thaler via Datatracker
> Sent: Monday, January 31, 2022 2:37 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [EXTERNAL] Intdir early review of draft-ietf-rtgwg-atn-bgp-12
> 
> EXT email: be mindful of links/attachments.
> 
> 
> 
> Reviewer: Dave Thaler
> Review result: On the Right Track
> 
> I am an assigned INT directorate reviewer for draft-ietf-rtgwg-atn-bgp-12.txt.
> These comments were written primarily for the benefit of the Internet Area
> Directors. Document editors and shepherd(s) should treat these comments just
> like they would treat comments from any other IETF contributors and resolve
> them along with any other Last Call comments that have been received. For more
> details on the INT Directorate, see
> https://datatracker.ietf.org/group/intdir/about/
> <https://datatracker.ietf.org/group/intdir/about/>.
> 
> This was a requested "early review" so not surprisingly needs some additional
> work before being done.
> 
> Technical Issues:
> 1) Section 3 explains that ASNs need not be coordinated with IANA since they're
> used in a separate BGP routing instance, but they still have to be unique
> within the ATN/IPS routing system.   However, no explanation is provided about
> how to ensure such uniqueness.   Who coordinates them then, to ensure that are
> unique?   In my view, this has to be solved before the document could be used.

This is similar to a comment raised earlier by the Security area director who
asked what entity would coordinate the security key PKI. For the ATN/IPS,
the over-arching authority will be the International Civil Aviation Organization
(ICAO) but there may be a sub-organization within ICAO that would serve as
the functional equivalent of an "ATN/IPS-specific IANA". Would it suffice for
us to say that the assignment of ASNs would be coordinated by "ICAO-IANA"
while explaining that ICAO would be required to stand up such an organization
if one does not already exist?

> 2) Page 13 mentions that selection of a network-based s-ASBR could be done via
> any of several mechanisms, but there are no references provided and it seems
> that those mechanisms would require a specification as interoperability would
> be required.

The ATN-BGP document will make use of an approach such as that specified in
[OMNI] as one candidate example, but not necessarily the only example.
Would: "see: e.g., [OMNI], etc. for example approaches." suffice?

> 3) Top of page 14 talks about "registering" addresses, but I
> couldn't tell what protocol it was referring to or where such addresses would
> be registered.  Clarify.

Again, [OMNI] and others provide examples. Would adding a citation suffice?

> 4) AERO and OMNI are listed as informative references
> but are used in text as if they are normative, not merely examples.   That is,
> as phrased the document seems to only be useful in an AERO/OMNI context.  Is it
> really specific to those or could other things (maybe RFC 5213 or whatever
> else) be used instead?  If the intent is to keep them as informative
> references, then either they should be used only as examples or they should be
> moved to be normative references.  Of course normative references from an IETF
> document to (currently) non-IETF drafts would be something that the RTGWG may
> want to carefully consider.

We will want for the AERO/OMNI documents to remain as Informative references;
ICAO is currently considering other technologies that might be used in conjunction
with ATN-BGP instead of AERO/OMNI.

> Editorial comments:
> * Page 4 would be a lot easier to understand if there were a high level
> topology diagram there. * See
> https://www.microsoft.com/en-us/research/uploads/prod/2017/05/draft-ietf-rtgwg-atn-bgp-12-DthalerReview.pdf
> for full review with above, and other editorial, comments in context.

OK, thanks - I will check this and make any necessary adjustments.

> _______________________________________________
> rtgwg mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtgwg